Subject: Re: Kernel booting issues on a MPC8270 board

From: annamaya <[email-masked]>
Date: Fri, 21 Jan 2005 12:16:32 -0800 (PST)

I debugged this problem a little more and realized
that the reset was happenning right after the
execution of the first kernel instruction at
0x0000000c. The instruction at this location was
"mfpvr r28". I traced this back to a snippet of code
that was dealing with pipeline depth issues on the
MPC8260. Once I commented this code out, more
instructions were issued but the reboot happens
elsewhere. I am not able to pin-point the location of
the debug since my BDI fails to catch the reset when
it happens. Can someone point me to the cause of this
situation? Thanks in advance.

--- annamaya <[email-masked]> wrote:

> I am trying to boot a mvista Linux Kernel ver.
> 2.4.20
> on  a MPC8270 board. I am using the embed_config()
> in
> zImage to pass the board info since the bootloader
> is
> not ppcboot. After the message, "Now booting the
> kernel", the board just reboots, as if someone
> yanked
> the reset line. I have BDI hooked up but it doesn't
> seem to catch the reset point in the code. And I am
> unable to trace this to anything in the code. Any
> suggestions? Thanks in advance.
> 
> 
> 		
> __________________________________ 
> Do you Yahoo!? 
> Yahoo! Mail - now with 250MB free storage. Learn
> more.
> http://info.mail.yahoo.com/mail_250
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
>
https://ozlabs.org/mailman/listinfo/linuxppc-embedded

__________________________________ 
Do you Yahoo!? 
Read only the mail you want - Yahoo! Mail SpamGuard. 
http://promotions.yahoo.com/new_mail